[CmdletBinding()]
param
(
)
$Name = $NetCimScriptEnvironment.DeployActionName #  Name fr Log Eintrge
$LogDir = $NetCimScriptEnvironment.LogPath
$Executable = "Setup.exe" # Path zum Executable Relativ zum Deploy Action Ordner oder Direkt
$Arguments = @("/install") # PS Array @() oder @("/Install") 
$SuccessExitCodes = @(0, 3010)
 
Write-Verbose "Installing $Name"
$process = Start-Process -FilePath $Executable -ArgumentList $Arguments -Wait -PassThru
do {start-sleep -Milliseconds 500}
until ($process.HasExited)
$InstallExitCode = $process.ExitCode
#Search for Exit Code in Success Exit Code List 
if($SuccessExitCodes -contains $InstallExitCode){
    Write-Verbose "Successfully installed $Name with Exit Code $InstallExitCode"
} else {
    Throw "Failed to Install $Name with Exit Code $InstallExitCode"
}
